@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* CSS Document */

:root {
  --font-general: "Poppins", sans-serif;
  --dark: #303938;
  --light: #eaebeb;
  --color-1: #303938;
  --color-2: #cc1a1e;
  --color-3: #eaebeb;
  --color-4: #00b248;
  --shadow: 0 0 3rem rgba(0,0,0,0.1);
}


html {
  font-size: 10px; /* 1rem = 10px */
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-optical-sizing: auto;
  font-style: normal;
}


*, *::before, *::after {
  box-sizing: inherit;
}

body {
  font-family: var(--font-general);
  margin: 0;
  min-height: 100vh;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  background-color: var(--light);
}

body.no-scroll {
  overflow-x: hidden;
}



.container {
  width: 100%;
  margin: 0 auto;
  padding: 0 6rem;
}

/*-----------------
HEADER
------------------*/
.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

/* NAVBAR */
.navbar {
  transition: all 0.3s ease;
}
/* NAVBAR */
.navbar-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem 0;
}

/* NAV TODO JUNTO */
.nav {
  display: flex;
  align-items: center;
  gap: 6rem;
}
.nav-item {
font-size: 1.6rem;
color: var(--dark);
text-decoration: none;
font-weight: 600;
letter-spacing: .2rem;
}

.nav .btn-home, .mobile-home, .btn-menu {
  color: transparent;
  background-image: url("images/icon-home.svg?v=1.2");
  background-position: center center;
  background-size: 100% auto;
  background-repeat: no-repeat;
  width: 3rem;
  height: 3rem;
  transition: all 0.3s ease;
}
/* HOVER */
.nav .btn-home:hover {
  transform: scale(1.1);
}
.btn-menu {
  background-image: url("images/icon-menu.svg?v=1.2");
  border: none;
  background-color: transparent;
}




/* MOBILE ELEMENTS */
.menu-toggle {
  display: none;
}
.mobile-home {
  display: none;
}


/* LOGO */
.navbar .navbar-inner .logo {
  width: 14rem;
  transition: all 0.3s ease;
}
.navbar .navbar-inner .logo img {
  width: 100%;
  height: auto
}
body.home .logo img {
    content: url("images/logo-white.svg");
}
body.home .header.scrolled .navbar .navbar-inner .logo img {
   content: url("images/logo.svg");
}

body.home .navbar .navbar-inner .nav .nav-item {
color: var(--light);
}
body.home .header.scrolled .navbar .navbar-inner .nav .nav-item {
color: var(--dark);;
}


/* STICKY EFFECT */
.header.scrolled .topbar {
  display: none;
}
.header.scrolled .navbar {
  background: white;
  box-shadow: var(--shadow);
}
.header.scrolled .navbar .navbar-inner {
  padding: 1rem 0;
}
.header.scrolled .navbar .navbar-inner .logo {
  width: 10rem;
}
.header.scrolled  {
  position: fixed;
}





/*-----------------
SIDE MENU
------------------*/

.side-menu {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100dvh;
  background: white;
  z-index: 9999;
  transform: translateX(100%);
  transition: transform 0.35s ease;
}

/* ACTIVE */
.side-menu.active {
  transform: translateX(0);
}

/* INNER */
.side-inner {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 100%;
  padding: 4rem 3rem;
}

/* CLOSE */
.side-close {
  position: absolute;
  top: 2rem;
  right: 2rem;
  width: 5rem;
  height: 5rem;
  border: none;
  background: transparent;
  cursor: pointer;
  font-size: 3rem;
  line-height: 1;
  color: var(--primary);
}

/* TOP */
.side-top {
  margin-bottom: 6rem;
}

.side-top img {
  width: 18rem;
}

/* NAV */
.side-nav {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.side-nav a {
  font-size: 2.4rem;
  line-height: 3rem;
  text-decoration: none;
  color: var(--dark);
  font-weight: 600;
}

/* FOOTER */
.side-footer {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  font-size: 1.4rem;
  line-height: 1.5;
  color: var(--primary);
}
.side-footer-item {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.side-footer-item  .icon {
  width: 2.6rem;
}
.side-footer-item .value {
  color: var(--dark);
  font-weight: 500;
  font-size: 1.6rem;
}


/*-----------------
MAIN BANNER
------------------*/

/* HERO */
.hero {
  display: flex;
  align-items: center;
  min-height: 100dvh;
  position: relative;
  padding-top: 10rem;
  border-radius: 0;
  background-color: transparent;
  z-index: 0;
}
.hero-content {
  position: absolute;
  bottom: 0;
  width: 50%;
  padding: 6rem;
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.hero-content h1 {
  font-size: 3.6rem;
  line-height: 4rem;
  font-weight: 600;
  color: var(--light);
}
.hero-content img {
  width: 4rem;
  height: auto;
  margin-top: 2rem;
}

.shadow {
background: var(--color-1);
background: linear-gradient(
  0deg,
  color-mix(in srgb, var(--color-1) 0%, transparent) 0%,
  var(--color-1) 100%
);
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 20rem;
z-index: 1;
 mix-blend-mode: multiply;
}

.bg-image{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
  pointer-events: none;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url("images/img-mian.jpg");
}




/*-----------------
BTN  
------------------*/
.btn-primary {
  display: inline-flex;
  align-items: center;
  height: 5rem;
  padding: 0 6rem 0 2rem;
  border-radius: 1rem;
  background-color: var(--color-3);
  background-image: url("images/arrow-go-blue.svg");
  background-repeat: no-repeat;
  background-position: right 2rem center;
  background-size: 2.4rem;
  color: var(--dark);
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 0.2rem;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.3s ease;
}

/* HOVER */
.btn-primary:hover {
  transform: translateY(-.4rem);
}



/*-----------------
HOME - ABOUT 
------------------*/

.about {
  background-color: var(--color-1);
  position: relative;
  z-index: 2;
 background-image: url("images/texture.svg");
background-position: center top;
background-repeat: no-repeat;
background-size: 100% auto;
padding: 6rem 0;
padding-bottom: 26rem;
}
.split-section {
  display: flex;
  width: 100%;
  gap:8rem;
}
.left-box {
  display: flex;
  align-items: flex-end;
  box-sizing: border-box;
  flex: 1;
}
.right-box {
flex: 1;
flex-shrink: 0;
}
.about h2 {
font-size: 2rem;
line-height: 2.8rem;
color: var(--light);
font-weight: 600;
margin: 0;
}
.about p {
  font-size: 1.6rem;
  line-height: 2.4rem;
  font-weight: 400;
  color: var(--light);
  margin: 0;
  margin-bottom: 2rem;
}


/*-----------------
HOME - SERVICIOS 
------------------*/
.servicios {
  position: relative;
  z-index: 3;
  margin-top: -24rem;
}
.servicios .head {
width: 100%;
text-align: left;
height: 10rem;
}
.servicios .head h2 {
font-size: 3.6rem;
font-weight: 200;
color: var(--light);
}
.servicios .wrap {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 2rem;
}
.benefit {
flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4rem;
  text-align: center;
  background-color: white;
  height: 20rem;
  padding: 2rem;
  border-radius: 1rem;
   transition: all .3s ease;
    cursor: pointer;
    border: 1px solid transparent;
    text-decoration: none;
}
.benefit:hover {
   transform: translateY(-8px);
    box-shadow: var(--shadow);
    border-color: var(--color-2);
}
.benefit img {
  width: 6rem;
  height: auto;
  transition: transform .3s ease;
}
.benefit:hover img {
    transform: scale(1.1);
}
.benefit .title {
  font-size: 1.8rem;
  line-height: 2.4rem;
 font-weight: 600;
color: var(--dark);
margin: 0;
}



/*-----------------
HOME - FRASE
------------------*/
.frase {
  position: relative;
  margin-top: -10rem;
  background-color: var(--color-3);
  z-index: 2;
  padding-top: 20rem;
  padding-bottom: 10rem;
}

.frase .txt {
margin: auto;
padding: 12rem 4rem 2rem 4rem;
text-align: center;
background-image: url("images/corchete-top.svg"), url("images/corchete-bottom.svg");
background-position: left top, right bottom;
background-repeat: no-repeat;
background-size: 30rem auto, 10rem auto;
background-color: transparent;
width: 100%;
max-width: 90rem;
}
.frase .txt .title {
font-size: 6rem;
line-height: 5.4rem;
font-weight: 200;
color: var(--dark);
}
.frase .txt .autor {
font-size: 1.8rem;
font-weight: 600;
letter-spacing: .2rem;
text-transform: uppercase;
color: var(--dark);
}

/*-----------------
HOME SLIDER CLIENTES 
------------------*/

.clientes {
  position: relative;
  background-color: white;
  z-index: 2;
  padding: 6rem 0;
  text-align: center;
}

.clientes h2 {
    font-size: 3.6rem;
    font-weight: 200;
    color: var(--dark);
    margin: 0;
    margin-bottom: 6rem;
}

.logos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 4rem;
    align-items: center;
    justify-items: center;
}

.logos img {
    width: auto;
    max-width: 14rem;
    max-height: 6rem;
    transition: .3s;
}


/* =========================================================
   QUIENES SOMOS
========================================================= */

.about-section {
  position: relative;
  padding: 20rem 0 6rem 0;
  overflow: visible;
  z-index: 3;
}

.about-top {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3rem;
  align-items:flex-start;
}

.about-content {
width: 100%;  
}
.about-content .tag {
color: var(--color-2);
  font-size: 12rem;
  font-weight: 100;
  margin: 0;
  line-height: 14rem;
}
.about-content h2 {
color: var(--dark);
  font-size: 3.6rem;
  line-height: 4rem;
  font-weight: 400;
  max-width: 90%;
  margin: 0;
  margin-bottom: 4rem;
}

.about-content p {
  max-width: 90%;
  font-size: 1.6rem;
  line-height: 2.4rem;
  color: var(--dark);
}

.about-content p + p {
  margin-top: 3rem;
}

.about-img {
  position: relative;
  border-radius: 3rem;
  overflow: hidden;
  aspect-ratio: 4 / 3;
}

.about-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}


.why-section {
  position: relative;
  z-index: 1;
  background-color: var(--color-1);
  padding: 6rem 0;
}
.serv-section {
  position: relative;
  z-index: 1;
  padding: 6rem 0;
}

.why-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 4rem;
}
.serv-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 4rem;
}

.why-item, .about-item {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2rem;
}
.serv-item {
  display: flex;
  align-items: flex-start;
  gap: 4rem;
}

.why-item img, .about-item img, .serv-item img {
  width: 6rem;
  flex-shrink: 0;
}

.why-item h3, .about-item h3, .serv-item h3 {
  font-size: 2rem;
  line-height: 2.8rem;
  color: var(--light);
  margin: 0;
  margin-bottom: 2rem;
  margin-top: 1rem;
}
.about-item h3, .serv-item h3 {
  color: var(--dark);
}

.why-item p, .about-item p, .serv-item p {
  font-size: 1.6rem;
  line-height: 2.4rem;
  color: var(--light);
  margin: 0;
}
.about-item p, .serv-item p {
  color: var(--dark);
}

.clientes-top {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 3rem;
  align-items:flex-start;
}

.logo-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 6rem;
}

.logo-grid .card {
 background-color: white;
 border-radius: 2rem;
 padding: 2rem;
 align-items: center;
 justify-content:center;
 display: flex;
  aspect-ratio: 1 / 1;
}

.logo-grid .card img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.logo-list h2 {
color: var(--dark);
  font-size: 2rem;
  line-height: 4rem;
  font-weight: 500;
  margin: 0;
  margin-bottom: 2rem;
  margin-top: 4rem;
}

/*-----------------
CTA
------------------*/

.cta {
    background-image: url("images/img-footer.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 6rem;
    position: relative;
}
.cta::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0,0,0,.5);
    z-index: 1;
}

.cta-content {
    position: relative;
    z-index: 2;
    flex: 3;
    display: flex;
    flex-direction: column;
    align-items: center;

}
.cta-content h2 {
  font-size: 3.6rem;
  font-weight: 700;
  line-height: 4rem;
  margin-bottom: 2rem;
  color: var(--light);
  text-align: center;
}
.cta-content p {
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2.4rem;
  color: var(--light);
  margin: 0;
  margin-bottom: 2rem;
}



/*-----------------
CONTACT
------------------*/

.contact {
  padding: 20rem 0 10rem 0;
  min-height: 100dvh;
  position: relative;
  z-index: 3;
  margin-bottom: -2rem;
  background-color: var(--dark);
  background-image: url("images/img-mian.jpg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}
.contact::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0,0,0,.5);
    z-index: 1;
}
.contact-inner {
  display: flex;
  padding: 0 6rem;
  gap: 6rem;
  align-items: flex-start;
  position: relative;
  z-index: 2;
}

/* LEFT */
.contact-info {
  flex: 1;
}

.contact-info h2 {
  font-size: 2.4rem;
  line-height: 1.4;
  margin: 0;
  margin-bottom: 4rem;
  color: var(--light);
}

.contact-items {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.contact-item {
  display: flex;
  gap: 2rem;
  align-items: flex-start;
}
.contact-item .icon {
  width: 2.6rem
}
.contact-item .label {
  font-size: 1.2rem;
  letter-spacing: 0.1rem;
  display: block;
  margin: 0;
  color: var(--light);
}
.contact-item p {
  color: var(--light);
  font-weight: 500;
  font-size: 1.6rem;
  margin: 0;
}


/* RIGHT */
.contact-form {
  flex: 1.2;
}

/* GRID */
.form-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

/* INPUTS */
.form-grid input,
.form-grid textarea {
  width: 100%;
  border: .1rem solid var(--dark);
  color: var(--dark);
  border-radius: 1.2rem;
  padding: 1.4rem;
  font-size: 1.4rem;
  font-family: var(--font-general);
}
/* TEXTAREA full */
.form-grid textarea {
  grid-column: span 2;
  min-height: 20rem;
  resize: none;
}
/* PLACEHOLDER */
.form-grid input::placeholder,
.form-grid textarea::placeholder {
  color: var(--dark);
  font-family: var(--font-general);
}


/* BUTTON */
.contact-form .btn {
  margin-top: 3rem;
  width: 100%;
}

.form-grid input:focus,
.form-grid textarea:focus {
  outline: none;
  border-color: var(--color-1);
}

.btn-send {
  display: inline-flex;
  align-items: center;
  height: 5rem;
  width: 100%;
  padding: 0 6rem 0 2rem;
  border-radius: 1rem;
  background-color: var(--color-1);
  background-image: url("images/arrow-go-white.svg");
  background-repeat: no-repeat;
  background-position: right 2rem center;
  background-size: 2.4rem;
  color: var(--light);
  font-family: var(--font-general);
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 0.2rem;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.3s ease;
  border: none;
   grid-column: span 2;
}

/* HOVER */
.btn-send:hover {
  transform: translateY(-.4rem);
}



/*-----------------
FOOTER
------------------*/

.footer {
  background-color: var(--color-1);
  color: #fff;
  padding: 4rem 0;
  position: relative;
  z-index: 1;
}

/* LAYOUT */
.footer-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 4rem;
}

/* LEFT */
.footer-left {
  display: flex;
  align-items: center;
  gap: 4rem;
}
.footer-logo {
  width: 10rem;
}
.footer-logo img {
  width: 100%;
  height: auto;
}
.footer-text {
  color: var(--light);
  display: flex;
  flex-direction: column;
  gap:.6rem;
  padding-left: 4rem;
  background-position: left top;
  background-repeat: no-repeat;
  padding-top: .6rem;
  background-size: 2.4rem auto;
}
.footer-text .label {
  font-size: 1.2rem;
  text-transform: uppercase;
  line-height: 1.6rem;
  letter-spacing: .1rem;
  font-weight: 500;
}
.footer-text .info {
  font-size: 1.4rem;
  line-height: 1.8rem;
  font-weight: 600;
}
.footer-text.email {
background-image: url("images/icon-envelope.svg");
}
.footer-text.phone {
background-image: url("images/icon-phone.svg");
}
.footer-text.gps {
background-image: url("images/icon-gps.svg");
}

/* RIGHT */
.footer-right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 1rem;
}

/* SOCIAL */
.footer-social {
  display: flex;
  gap: 3rem;
}

.footer-social .redes {
  color: transparent;
  text-decoration: none;
  width: 4rem;
  height: 4rem;
  border-radius: 50%;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
  background-position: center center;
  background-size: 80% auto;
  background-repeat: no-repeat;
}
.footer-social .redes:hover {
  transform: scale(1.2);
  background-color: white;
}

.linkedin {
background-image: url("images/icon-linkedin-white.svg");
}
.linkedin:hover {
background-image: url("images/icon-linkedin.svg");
}

.whatsapp {
background-image: url("images/icon-whatsapp-white.svg");
}
.whatsapp:hover {
background-image: url("images/icon-whatsapp.svg");
}
